"""
albacore.__init__.py
Created on: February 12, 2016
Proprietary and confidential information of Oxford Nanopore Technologies, Limited
All rights reserved; (c)2016: Oxford Nanopore Technologies, Limited
"""
import logging
import warnings

__version__ = '2.1.7'
__version_info__ = tuple([int(num) for num in __version__.split('.')])
__min_config_version__ = '2.1.6'
__min_config_version_info__ = tuple([int(num) for num in __min_config_version__.split('.')])
VERSION = __version__
VERSION_I = __version_info__
MIN_CFG_VERSION_I = __min_config_version_info__

# Set up a default NullHandler in case we don't end up using another one
# Taken from http://docs.python-guide.org/en/latest/writing/logging/
try:  # Python 2.7+
    from logging import NullHandler
except ImportError:
    class NullHandler(logging.Handler):
        def emit(self, record):
            pass

logging.getLogger(__name__).addHandler(NullHandler())

warnings.filterwarnings(action='ignore', category=FutureWarning,
                        message='Conversion of the second argument of '
                        'issubdtype from `float` to `np.floating`')
