""" Contains return values for workflow components.
These are parsed by the pipeline and need to be precise as a result.

The only 'successful' return code should be the WORKFLOW_SUCCESSFUL
entry. All other return codes indicate some sort of failure for the
component to successfully process through to the end.

Different components may have their own failure codes, but should use
codes from the general section if possible and appropriate.
"""

# General return codes
WORKFLOW_SUCCESSFUL = 'Workflow successful'
NO_DATA_FOUND = 'No data found'
NO_TEMPLATE_DATA = 'No template data found'
NO_COMPLEMENT_DATA = 'No complement data found'


# Basecall 1d return codes
BASECALL_FILTER_FAILURE_1D = '1D basecall failed quality filters'

# Basecall 2d return codes
BASECALL_FILTER_FAILURE_2D = '2D basecall failed quality filters'

# Barcoding return codes
BARCODE_CLASSIFICATION_FAILED = 'Could not classify the barcode'
